[Support] Linuxserver.io - Nextcloud


4862 posts in this topic Last Reply

Recommended Posts

  • Replies 4.9k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Application Name: Nextcloud Application Site: https://nextcloud.com/ Docker Hub: https://hub.docker.com/r/linuxserver/nextcloud/ Github: https://github.com/linuxserver/docker-nextcl

Here's my list of instructions....    Use them at your own risk.....   If upgrading to v12 please see here:   ##Turn on maintenance mode docker exec -it nextcloud occ m

Thanks, fixed for me as well, and I also added this line add_header Referrer-Policy no-referrer always; to appdata/nextcloud/nginx/site-confs/default   And now I have a green

Posted Images

I thought it would automatically append the duckdns.org as it's the domain in let's encrypt.  However, I made the chagne and it still doesn't work after restarting the dockers

This site can’t be reached

okavangonextcloud’s server IP address could not be found.

Edited by DigitalDivide
Link to post
On 6/18/2020 at 8:58 AM, EdgarWallace said:

Thanks a lot @saarg

I just need one of these apps Collabora would be perfectly fine. I got the link from Collabora. AppImages does not run on Alpine which is the root cause that integrated Collabora app isn‘t running on Alpine Dockers....at least how I understood it.

Sorry to bother again....is it realistic waiting for a fix of the integrated Collabora App?

Thanks a lot.

Link to post
1 hour ago, EdgarWallace said:

Sorry to bother again....is it realistic waiting for a fix of the integrated Collabora App?

Thanks a lot.

I have no idea about collabora. Why not install it as a container and point nextcloud to it?

Link to post
On 6/6/2020 at 8:23 PM, Tucubanito07 said:

Hey guys,

 

Has anyone enabled the GeoBlocker app inside Nextcloud? I keep Getting this down below. I know it says to enable the exec() on php.ini but i don't know what command should i put in the php.ini and is the php.ini location is \mnt\user\appdata\nextcloud\php. I also read is not a good idea to enable exec(). Can someone please help me figure this out. I saw on my logs inside nextcloud some ip addresses of someone from Germany trying to get in the nextcloud instance. 

 

Status of the chosen service:

"Geoiplookup": ERROR: Service seem to be not installed on the host of the Nextcloud server or not reachable for the web server or is wrongly configured (is the database for IPv4 and IPv6 available?!). Maybe the use of the php function exec() is disabled in the php.ini.

I know this was weeks ago and you've probably figured this out by now but...

 

I'm trying to get Geoblocker working on my Nextcloud today and got this same error. I got rid of it by installing the Geoblocker required packages:

 

sudo apt-get install geoip-bin geoip-database

 

And to check if exec is allowed in PHP, open php.ini and search for 'disable_functions'. If exec isn't in that list, reasonably sure it's enabled.

 

I can't say I've gotten Geoblocker working yet because I'm using Nginx as a reverse proxy to a Apache2 web server, and my external ip keeps showing up as a localhost lan ip. If I can get that corrected with the external ip I think I'm there. Something something 'HTTP_X_FORWARDED_FOR'.

 

Good luck.

Link to post
12 hours ago, saarg said:

I have no idea about collabora. Why not install it as a container and point nextcloud to it?

Thanks @saarg because I would need to set up a subdomain which is much more complex than using the build in Collabora (or Onlyoffice) app. I might be better off migrating to knex666 Nextcloud docker with full Onlyoffice integration based on Apache.

Link to post
1 hour ago, EdgarWallace said:

Thanks @saarg because I would need to set up a subdomain which is much more complex than using the build in Collabora (or Onlyoffice) app. I might be better off migrating to knex666 Nextcloud docker with full Onlyoffice integration based on Apache.

It's not complex. You install the container and name it collabora, rename the sample proxy conf, add the subdomain in letsencrypt and your DNS provider, unless you use wildcard in letsencrypt.

Link to post
6 hours ago, RudyValentino said:

I know this was weeks ago and you've probably figured this out by now but...

 

I'm trying to get Geoblocker working on my Nextcloud today and got this same error. I got rid of it by installing the Geoblocker required packages:

 

sudo apt-get install geoip-bin geoip-database

 

And to check if exec is allowed in PHP, open php.ini and search for 'disable_functions'. If exec isn't in that list, reasonably sure it's enabled.

 

I can't say I've gotten Geoblocker working yet because I'm using Nginx as a reverse proxy to a Apache2 web server, and my external ip keeps showing up as a localhost lan ip. If I can get that corrected with the external ip I think I'm there. Something something 'HTTP_X_FORWARDED_FOR'.

 

Good luck.

Thank you for your feedback. I did not get out to work. However, I resolved the issue with getting an Unifi Gateway that does Geoblocker.  

Link to post

ok this might seem like a silly question but how does one share a folder. When I google sharing files or albums, there should be a share icon on the right...but I don't have one and can't seem to share anything.  This seems to have started after I installed a few plugins such as Dynamix Cache Directories and CA Auto Turbo Write Mode

image.thumb.png.07e13b827a3c20075e8322996fe7ab2d.png

Edited by DigitalDivide
Link to post

For the above, even though I don't have the share link...if I click the white space to the right of the modified time I get  the below opening up and if you see the 3 dots next to the share link on the right, they only appear when I click the white space next to where dots should be...

Not sure what's going on...

image.thumb.png.1a21793f26781ff7fb0109bfaf4b8d09.png

Link to post

I want to apologize in advance as typically I like to resolve things myself, but I might be blind.  My Nextcloud is 18.0.6, and I'm pretty certain the container is up to date (it runs automatically but I did it manually as well).  Everything works fine I followed SpaceInvader's video so no issue really, I just can't figure out why I don't have the option to upgrade to 19 and I don't like the thought of something not working haha.  Really just wondering if something's wrong or if its working as intended.  Thanks for all the help so far anonymously and help going forward.

Link to post
30 minutes ago, takinsjr said:

I want to apologize in advance as typically I like to resolve things myself, but I might be blind.  My Nextcloud is 18.0.6, and I'm pretty certain the container is up to date (it runs automatically but I did it manually as well).  Everything works fine I followed SpaceInvader's video so no issue really, I just can't figure out why I don't have the option to upgrade to 19 and I don't like the thought of something not working haha.  Really just wondering if something's wrong or if its working as intended.  Thanks for all the help so far anonymously and help going forward.

You have to update it yourself. The nextcloud version is not updated on a container update.

So update using the webui or the linked method in the first post.

If 19 is not available yet in the webui you have to wait until nextcloud lets you update.

Link to post
5 minutes ago, saarg said:

You have to update it yourself. The nextcloud version is not updated on a container update.

So update using the webui or the linked method in the first post.

If 19 is not available yet in the webui you have to wait until nextcloud lets you update.

Ok I thought it might be a case of wait till it lets me.  Web GUI says up to date at 18.0.6.  Thanks for confirming for me now I’ll stop worrying

Link to post

One more question.  Turns out the photo app is totally useless. Sharing of photos was the only reason I installed NC...  After doing a bunch of searching I see there's the old gallery app that's been forked. How do I install this if I am even able to. Not sure if this would work on unraid.

https://github.com/pandorra2/gallery/releases/tag/quickfix

 

Any help is appreciated

Link to post

I just reinstalled the android app on my phone. Now it wont download my folders. Anyone experienced this?

 

Says "No Files here"  upload some content or sync with your device.

 

Server is running 18.06

 

Edited by Jessie
Link to post

hmmmm just trying to go from version 18.0.6 to 19 I got the following error...

 

Nextcloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
Set log level to debug
Exception: Updates between multiple major versions and downgrades are unsupported.
Update failed
Maintenance mode is kept active
Reset log level

 

im aware this is an issue when you jump a major update but im fairly sure 18.0.6 was the most recent prior to 19? Not really sure where to go with this. Cant update and kinda stuck now. I read this thread

https://help.nextcloud.com/t/updates-between-multiple-major-versions-are-unsupported/7094

but this seems to be if you skip a major release. At this point will i have to reinstall?

 

Link to post
4 hours ago, tazire said:

hmmmm just trying to go from version 18.0.6 to 19 I got the following error...

 

Nextcloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
Set log level to debug
Exception: Updates between multiple major versions and downgrades are unsupported.
Update failed
Maintenance mode is kept active
Reset log level

 

im aware this is an issue when you jump a major update but im fairly sure 18.0.6 was the most recent prior to 19? Not really sure where to go with this. Cant update and kinda stuck now. I read this thread

https://help.nextcloud.com/t/updates-between-multiple-major-versions-are-unsupported/7094

but this seems to be if you skip a major release. At this point will i have to reinstall?

 

Have you checked the manual method linked in the first post?

Link to post
3 hours ago, saarg said:

Have you checked the manual method linked in the first post?

Yea that's the steps I followed. But when I get to the update command I get that error in the terminal. 

 

I then tried getting into my nextcloud instance and obv maintenance mode was on causing issues... Turned that off and it gave me the update button which I tried which again gave me a similar error to above only on the nextcloud ui

 

EDIT

 

Ok i tried a new install and just copying the old config from the nextcloud back up and it just goes back to the same issue... unfortunately.

Also tried to rollback to linuxserver/nextcloud:18.0.4-ls81 but it just gives me the same result.

Edited by tazire
Link to post
On 5/31/2020 at 10:05 PM, Mihle said:

So after longer time than I wanted I set up preview generator for thumbnails.
Its working fine for images that stored in Nextcloud itself.
But for storage added as external storage, the previews are created, but neither web Nextcloud or the app actually uses the previews created.

Nextcloud is instead creating new thumbnails instead for some reason. Anyone know why?

Maybe I should just give up and conclude that Nextcloud just got issues that is not fixable for me

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.